昨天Firefox(火狐)更新版本為3.0.1,也因如此,造成有些套件又不相容
其中包含了滿多人使用的Tab Mix Plus,我也是更新後的受害者
但上網找了一下,發現其實有個小技巧可以免除這些更新後套件不相容的問題
而且還不只一種方法,以下就教你如何修改版本不相容之套件

1.強制安裝(跳過相容性檢查)
利用Nightly Tester ToolsMR Tech Toolkit來跳過火狐的相容性檢查
這些套件Google搜尋一下可以找到許多教學說明,就不在這敘述使用方法

2.自行修改套件版本
(1)首先至官網下載Tab Mix Plus,利用解壓縮軟體開啟檔案(這裡使用7-zip做示範)
TMP

(2)尋找install.rdf檔,開啟它(使用文字編輯器,如Notepad)
若使用7-zip,直接按右鍵編輯即可
TMP1

(3)找到以下這段程式碼maxVersion="3.0" ,把其中的3.0更改為較大的數字,如9.0、4.0等,再儲存即可
TMP2

看到這應該有個疑問,為啥我圖中是3.1呢?
這是TMP官網已更新為相容於3.0.1版本,所以圖中會顯示3.1
但你也可以自行更新為更高版本,免除以後火狐更新的問題

(4)之後重新安裝TMP即可使用,即可過相容性檢查

這邊是使用較偷懶方法,看他人的文章,似乎是先解壓縮,修改完畢後,在壓回xpi檔
但兩者都是一樣的步驟,沒啥差別

使用Orbit Download的也可以利用這方法,過相容性檢查

aidasit 發表在 痞客邦 PIXNET 留言(0) 人氣()